<%@ Page Language="C#" AutoEventWireup="false" Inherits="Bee.Web.BeePageView" %>

<style type="text/css">
    #login
    {
        width: 400px;
        height: 276px;
        margin: 0px auto;
        background: url(/images/login_bg.jpg) repeat-x;
        border: 1px solid #259bdf;
    }
    #login p
    {
        padding: 10px;
        width: 380px;
        float: left;
        font: 18px/36px Arial;
    }
    #login ul
    {
        width: 340px;
        float: left;
        padding: 10px 30px;
    }
    #login li
    {
        width: 340px;
        float: left;
        margin-bottom: 10px;
        text-align: right;
        font: 13px/24px Arial;
    }
    #login li span
    {
        width: 240px;
        float: right;
        text-align: left;
    }

    #login li a
    {
        color: #3d82a4;
    }
    #login li a:hover
    {
        color: #333;
    }
</style>

<script type="text/javascript">
    function Login() {
        var $form = $("#loginform");
        if ($("input[name='cookie']:checked", $form).length != 0) {
            $form.cookie("username", $("input[name='username']", $form).val());
        }
        if ($form.find("input[name='password']").val() == "") {
            alertMsg.warn("");
            return;
        }

        $.post("/AuthMain/innerLogin.bee", $form.serialize(), function(msg) {
            if (msg == "1") {
                alertMsg.correct("ӭ");
                $.pdialog.closeCurrent();
            }
            else {
                alertMsg.warn(msg);
            }
        });
    }

    function ChangeValidImg() {
        $('#validImg').attr('src', '/ValidImage.bee?rnd=' + Math.random());
    }

    $(document).keydown(function() {
        if (event.keyCode == 13) {
            $("#Login").click();
            return false;
        }
    })
        
</script>

<div id="main">
    <form id="loginform" method="post">
    <div id="login">
        <p>
            <%=Bee.SystemConfigManager.Instance.GetConfigValue("SiteName") %>
            <span id="sysversion">
                <%=Bee.SystemConfigManager.Instance.GetConfigValue("version") %></span></p>
        <ul>
            <li><span>
                <%=ViewData["username"] %>
                <input name="username" type="hidden" value='<%=ViewData["username"] %>' /></span>
                û</li>
            <li><span>
                <input name="password" type="password" class="inp" /></span>룺</li>
            <%--                <li><span>
                    <b style="display:block; float:left; margin-right:5px;"><input name="validid" type="text" class="inp2" /></b>
                     <b style="display:block; float:left;"><a href="javascript:ChangeValidImg();" style="color:Gray;"><img id="validImg" src="/ValidImage.bee?rnd=<%=PageId %>" /></a></b></span>֤룺</li>--%>
            <li><span><a onclick="javascript:Login();" id="Login">
                <img src="/images/btn.jpg" /></a></span></li>
            <li><span>
                <%=ViewData["errormsg"]%></span></li>
            <li><span><a title="ݷʽʱ·ѡΪļ" href="/SiteShortCut.bee">ݷʽ</a></span></li>
        </ul>
    </form>
</div>
