﻿<%@ Page Language="C#" AutoEventWireup="false" Inherits="Bee.Web.BeePageView" %>

<%@ Import Namespace="Bee.Web" %>
<%@ Import Namespace="Bee" %>
<%@ Import Namespace="System.Collections.Generic" %>
<%
    int id = ViewData.TryGetValue<int>("id", 0);
%>
<div class="pageContent">
    <form method="post" action="/<%=ControllerName %>/Save.bee" class="required-validate"
    id="content<%=PageId %>">
    <%=HtmlHelper.ForHidden("id") %>
    <%=HtmlHelper.ForHidden("eid") %>
    <%=HtmlHelper.ForHidden("usergroup") %>
    <%=HtmlHelper.ForHidden("userrole") %>
    <div layouth="36">
        <div class="pageFormContent">
            <dl>
                <dt>用户名：</dt>
                <dd>
                    <%=HtmlHelper.ForTextBox("username", id>0?"readonly=readonly":"") %></dd>
            </dl>
            <dl>
                <dt>密码：</dt>
                <dd>
                    <%=HtmlHelper.ForTextBox("password") %></dd>
            </dl>
            <dl>
                <dt>姓名：</dt>
                <dd>
                    <%=HtmlHelper.ForTextBox("nickname") %></dd>
            </dl>
            <dl>
                <dt>Email：</dt>
                <dd>
                    <%=HtmlHelper.ForTextBox("email") %></dd>
            </dl>
            <dl>
                <dt>是否删除：</dt>
                <dd>
                    <%=HtmlHelper.ForSelect("delflag", "是否", false) %></dd>
            </dl>
            <dl>
                <dt>是否内置：</dt>
                <dd>
                    <select class="combox readonly" name="Innerflag" svalue="<%=ViewData["Innerflag"] %>">
                        <%=DataMapping.Instance.MappingAll("是否", "<option value=@id>@name</option>")%>
                    </select>
            </dl>
            <dl>
                <dt>创建日期：</dt>
                <dd>
                    <%=HtmlHelper.ForTextBox("createtime", "readonly=readonly")%></dd>
            </dl>
        </div>
        <% System.Data.DataTable dataTable = ViewData["groupinfo"] as System.Data.DataTable;  %>
        <div style="float: left; display: block; margin: 10px; overflow: auto; width: 350px;
            border: solid 1px #CCC; line-height: 21px; background: #FFF;" layouth="240">
            <ul id="grouptree<%=PageId %>" class="tree treeFolder treeCheck expand treealone">
                <%=HtmlHelper.ForTree(dataTable, "parentid", "name", "id", "id asc") %>
            </ul>
        </div>
        <% dataTable = ViewData["roleinfo"] as System.Data.DataTable;  %>
        <div style="float: left; display: block; margin: 10px; overflow: auto; width: 350px;
            border: solid 1px #CCC; line-height: 21px; background: #FFF;" layouth="240">
            <ul id="roletree<%=PageId %>" class="tree treeFolder treeCheck expand">
                <%=HtmlHelper.ForSingleTree(dataTable, "name", "id", "id asc") %>
            </ul>
        </div>
    </div>
    <div class="formBar">
        <ul>
            <li><a class="button" href="javascript:" onclick="javascript:saveUser();"><span>保存</span>
            </a></li>
            <li><a class="button close" href="javascript:"><span>取消</span> </a></li>
        </ul>
    </div>
    </form>
</div>

<script type="text/javascript">
    var saveUser = function() {
        $form = $("#content<%=PageId %>");
        var usergroup = $("#grouptree<%=PageId %>", $form).treeVal();
        var userrole = $("#roletree<%=PageId %>", $form).treeVal();

        $("input[name='usergroup']", $form).val(usergroup);
        $("input[name='userrole']", $form).val(userrole);
        autoSave("content<%=PageId %>");
    }

    $(document).ready(function() {
        var $form = $("#content<%=PageId %>");
        var permission = $("input[name='usergroup']", $form).val();
        $("#grouptree<%=PageId %>").treeVal(permission);

        permission = $("input[name='userrole']", $form).val();
        $("#roletree<%=PageId %>").treeVal(permission);
    });
</script>

